Name:		pytomtom
Version:	0.5.1
Release:	%mkrel 3
Summary:	Manage your TomTom under Linux
Summary(fr_FR):	Gérez votre TomTom sous Linux
Group:		File tools
License:	GPLv3
URL:		https://launchpad.net/pytomtom/
Source0:	https://pytomtom.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		pytomtom.patch
BuildArch:	noarch

BuildRequires:	cabextract
BuildRequires:	desktop-file-utils
BuildRequires:	pygtk2.0

Requires:	cabextract
Requires:	pygtk2.0
Requires:	python

%description
Manage your TomTom under Linux.

%description -l fr_FR
Gérez votre GPS TomTom sous Linux.

%prep
%setup -q -n %{name}
%patch0 -p0

chmod 0644 ./share/applications/%{name}.desktop

%build

%install
install -Dm 0755 bin/%{name} %{buildroot}%{_bindir}/%{name}
cp -R share %{buildroot}%{_usr}

desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications/ \
	--remove-key=Encoding \
	--set-icon=pytomtom \
	--set-key=StartupNotify --set-value=true \
%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Tue Mar 03 2015 daviddavid (MLO Team) <daviddavid> 0.5.1-3.mga5
+ Rebuild package for Mageia 5 (Core\MLO)

* Sat Jan 25 2014 david.david (MLO Team) <david.david> 0.5.1-2.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- update URL and Source0
- fix binary file with patch0
- fix desktop file
- version: 0.5.1

* Sun Apr 28 2013 david.david (MLO Team) <david.david> 0.5.1-1.5.mga3
+ Revision: 1.5
- correcting "spec" file

* Thu Apr 11 2013 david.david (MLO Team) <david.david> 0.5.1-1.4.mga3
+ Rebuild package for mga3 (Core)

* Tue Feb 26 2013 david.david (MLO Team) <david.david> 0.5.1-1.3.mga2
+ Clean "spec" file

* Mon Jun 25 2012 david.david <david.david> 0.5.1-1.2.mga2
+ Correcting "spec" file
- add Vendor and Packager

 + Rebuild package for mga2
 - new version: 0.5.1

* Sun Jun 24 2012 david.david <david.david> 0.5.1-1.mga2
+ Rebuild package for mga2
- new version: 0.5.1
